Bug 711492 - Camera mounted upside down on Asus K53SJ
Summary: Camera mounted upside down on Asus K53SJ
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: v4l-utils
Version: 15
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-07 15:58 UTC by Stepan Zastupov
Modified: 2011-07-31 04:03 UTC (History)
2 users (show)

Fixed In Version: v4l-utils-0.8.5-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-31 04:03:03 UTC


Attachments (Terms of Use)
dmidecode output (25.87 KB, text/x-log)
2011-06-07 15:58 UTC, Stepan Zastupov
no flags Details
lsusb output (491 bytes, text/x-log)
2011-06-07 15:59 UTC, Stepan Zastupov
no flags Details

Description Stepan Zastupov 2011-06-07 15:58:59 UTC
Created attachment 503524 [details]
dmidecode output

The camera on my Asus K53SJ laptops is mounted upside down. AFAIK v4l has a list of such laptops so I'm asking for inclusion of main.
I wasn't sure where to file the bug but since there was a Fedora project for better webcam support I'm posting here.

uvcvideo detects the camera on usb (13d3:5120), but mplayer and cheese show the image upside down. I'm running F15, 2.6.38.6-27.fc15.x86_64 kernel, lsusb and dmidecode output is attached.

Comment 1 Stepan Zastupov 2011-06-07 15:59:57 UTC
Created attachment 503525 [details]
lsusb output

Comment 2 Hans de Goede 2011-07-17 16:17:10 UTC
Hi,

Thanks for the bug report.

Your camera has been added to libv4l's upside down list, you can expect an updated package with the fix for this included real soon now.

Regards,

Hans

Comment 3 Fedora Update System 2011-07-17 16:37:30 UTC
v4l-utils-0.8.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/v4l-utils-0.8.5-1.fc15

Comment 4 Fedora Update System 2011-07-18 22:29:34 UTC
Package v4l-utils-0.8.5-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing v4l-utils-0.8.5-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/v4l-utils-0.8.5-1.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-07-31 04:02:58 UTC
v4l-utils-0.8.5-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.